fields:
    pivot[use_for_variants]@update:
        label: 'offline.mall::lang.properties.use_for_variants'
        comment: 'offline.mall::lang.properties.use_for_variants_comment'
        type: switch
        span: auto
    slug:
        label: 'offline.mall::lang.common.slug'
        span: auto
        type: text
        readOnly: true
        context: update
    name:
        label: 'offline.mall::lang.common.name'
        oc.commentPosition: ''
        span: auto
        type: text
    pivot[filter_type]@update:
        label: 'offline.mall::lang.properties.filter_type'
        oc.commentPosition: ''
        span: auto
        type: dropdown
        trigger:
            action: hide
            field: type
            condition: 'value[date] or value[datetime]' # frontend filters for these types are not yet implemented.
        options:
            '': 'offline.mall::lang.properties.filter_types.none'
            set: 'offline.mall::lang.properties.filter_types.set'
            range: 'offline.mall::lang.properties.filter_types.range'
    type:
        label: 'offline.mall::lang.custom_fields.type'
        oc.commentPosition: ''
        span: auto
        type: dropdown
    unit:
        label: 'offline.mall::lang.common.unit'
        oc.commentPosition: ''
        span: auto
        type: text
    options:
        label: 'offline.mall::lang.common.options'
        oc.commentPosition: ''
        prompt: 'Add new item'
        span: full
        trigger:
            action: show
            field: type
            condition: 'value[dropdown]'
        type: repeater
        form:
            fields:
                value:
                    label: 'offline.mall::lang.common.option'
                    oc.commentPosition: ''
                    span: full
                    type: text
